# GimpUi.ProcedureDialog.prototype.get_file_chooser

    function get_file_chooser(property: String, action: Gtk.FileChooserAction): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_get_file_chooser()
    }

Creates a new %GtkFileChooserButton for property which must necessarily be a config path or %GFile property. This can be used instead of GimpUi.ProcedureDialog.prototype.get_widget in particular if you want to create a button in non-open modes (i.e. to save files, and select or create folders).

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

property

  name of the %GimpParamConfigPath or %GParamObject of value type %GFile property to build a Gtk.FileChooserButton for. It must be a property of the Gimp.Procedure dialog has been created for.

action

  The open mode for the widget.

Returns

  the Gtk.Widget representing property. The object belongs to dialog and must not be freed.